Name:           konversation
Version:        0.19
Release:        1%{?dist}
Summary:        Konversation is a user friendly IRC client for KDE

Group:          Applications/Internet
License:        GPL
URL:            http://konversation.kde.org
Source0:        http://download.berlios.de/konversation/konversation-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdebase-devel  >= 3.4, desktop-file-utils
Requires:       kdebase >= 3.4

patch0: konversation-gcc41.patch

%description
A simple and easy to use IRC client for KDE with support for
strikeout; multi-channel joins; away / unaway messages;
ignore list functionality; (experimental) support for foreign
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more

%prep
%setup -q
%patch0 -p1 -b .gcc41

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--vendor=fedora \
--add-category=X-Fedora \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/kde/konversation.desktop


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/crystalsvg || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/crystalsvg || :


%files  -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_bindir}/konversation
%{_bindir}/konversationircprotocolhandler
%{_datadir}/applications/fedora-konversation.desktop
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/konversation
%config %{_datadir}/config.kcfg/konversation.kcfg
%{_datadir}/icons/crystalsvg/*/actions/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/services/konvirc.protocol
%{_datadir}/services/konvirc6.protocol


%changelog
* Mon Jan 30 2006 Dennis Gilmore <dennis@ausil.us> - 0.19-1
- update to 0.19
* Thu Dec 22 2005 Dennis Gilmore <dennis@ausil.us> - 0.18-6
- Rebuild for gcc 4.1
* Sat Oct 20 2005 Dennis Gilmore <dennis@ausil.us> - 0.18-5
- add BuildRequires desktop-file-utils  http://fedoraproject.org/wiki/QAChecklist 
- add %post and %postun scriptlets  to notify of new icons per
- http://standards.freedesktop.org/icon-theme-spec/icon-theme-spec-latest.html#implementation_notes

* Sun Jul 03 2005 Dennis Gilmore <dennis@ausil.us> - 0.18-4
- Explicly export QT lib and include dirs  for x86_64 build issue

* Tue Jun 28 2005  Dennis Gilmore <dennis@ausil.us> - 0.18-3
- Destop-file-install,  change gcc4 patch  to configure  
  remove unneeded build deps.

* Mon Jun 27 2005  Dennis Gilmore <dennis@ausil.us> - 0.18-2
- Fix build requires,set QT, %%lang'ify LOCALE bits and HTML docs
  move automake to prep

* Sat Jun 25 2005  Dennis Gilmore <dennis@ausil.us> - 0.18-1
- Initial build
